#include<iostream>
using namespace std;
main(){
string c1c2;
int b1, b2;
string cv,cm;
cin>>c1c2>>b1>>b2;
if(b1>b2+1||b2>b1+1){cout<<"nemoguce";}
else{
string c2=c1c2.substr(0,1);
string c1=c1c2.substr(1,1);
if(b1>b2){
     cv=c1;
     cm=c2;
    }
else{
cv=c2;
cm=c1;
}
    for(int i=1;i<=b1+b2;i++){if(i%2==0){cout<<cv;}
    else{cout<<cm;}

}

}
return 0;
}